Package org.eclipse.equinox.p2.core

## Class UIServices.TrustInfo

- java.lang.Object
- - org.eclipse.equinox.p2.core.UIServices.TrustInfo

Enclosing class:
  UIServices

    public static class UIServices.TrustInfo
    extends Object

Trust information returned from a trust request. *

### Constructor Summary

Constructors
`TrustInfo​(Certificate[] trusted, boolean save, boolean trustUnsigned)` Deprecated. use other constructor
`TrustInfo​(Collection<Certificate> trustedCertificates, Collection<org.bouncycastle.openpgp.PGPPublicKey> trustedPGPKeys, boolean save, boolean trustUnsigned)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Certificate[]` `getTrustedCertificates()` Return an array of the certificates that should be trusted for the requested operation.
`Collection<org.bouncycastle.openpgp.PGPPublicKey>` `getTrustedPGPKeys()`
`boolean` `persistTrust()` Return a boolean indicating whether the trusted certificates should be persisted for future operations.
`boolean` `trustUnsignedContent()` Return a boolean indicating whether the unsigned content should be trusted during this operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrustInfo

    @Deprecated
    public TrustInfo​(Certificate[] trusted,
                     boolean save,
                     boolean trustUnsigned)

Deprecated.
use other constructor

Parameters:
  `trusted` - Trusted certificates
  `save` - Whether to store trusted certificates or not
  `trustUnsigned` - Whether to trust unsigned. `true` if installation should continue despite unsigned content; `false` otherwise.

#### TrustInfo

    public TrustInfo​(Collection<Certificate> trustedCertificates,
                     Collection<org.bouncycastle.openpgp.PGPPublicKey> trustedPGPKeys,
                     boolean save,
                     boolean trustUnsigned)

Parameters:
  `trustedCertificates` - Trusted certificates
  `trustedPGPKeys` - Trusted PGP public keys
  `save` - Whether to store trusted certificates and keys or not.
  `trustUnsigned` - Whether to trust unsigned. `true` if installation should continue despite unsigned content; `false` otherwise.
Since:
  2.8

### Method Detail

#### getTrustedCertificates

    public Certificate[] getTrustedCertificates()

Return an array of the certificates that should be trusted for the requested operation.

Returns:
  the trusted certificates, or `null` if there are no certificates that were verified as trusted.

#### getTrustedPGPKeys

    public Collection<org.bouncycastle.openpgp.PGPPublicKey> getTrustedPGPKeys()

Returns:
  the trusted PGP keys
Since:
  2.8

#### persistTrust

    public boolean persistTrust()

Return a boolean indicating whether the trusted certificates should be persisted for future operations.

Returns:
  `true` if the trusted certificates should be persisted, `false` if the trust only applies for this request.

#### trustUnsignedContent

    public boolean trustUnsignedContent()

Return a boolean indicating whether the unsigned content should be trusted during this operation.

Returns:
  `true` if the unsigned content should be trusted, or if there was no unsigned content, and `false` if there was unsigned content and should not be trusted.